# datatrash

A file and text uploading service with configurable time limit

![Application screenshot](./screenshot.png)

## compiling

Compiling is a little strange.
The SQL-statements are checked for correctness at compile-time, unfortunately this means that the
database needs to be running at compile-time too.

To get set up:

- Start a postgresql somewhere
- Set its connection url in the `.env` file
- Run the `init-db.sql` script in the database (`cat init-db.sql | psql`)
- Build the project `cargo build --release`

## running & config

At runtime the environment variable `DATABASE_URL` must be set (e.g. `postgres://localhost`).
A folder named `files` needs to be created next to the application.

Other things are not configurable yet.

- The application listens on port 8000
- The server url is `http://localhost:8000/`
- The upload limit is 8MiB
- The maximum filename length is 255
- The uploaded files are stored in the `files` directory
